.PHONY: devp/format-go
devp/format-go: ${DEVP_FORMAT_EXE}
	@# Run formatter for project
	$(Q) ${DEVP_FORMAT_EXE} project ${VERBOSE_FLAG}

.PHONY: devp/format-go/vscode-enable
devp/format-go/vscode-enable: ${DEVP_DEVPTOOL_EXE} ${DEVP_FORMAT_EXE}
	@# Enable platform formatting in VS Code
	$(Q) ${DEVP_DEVPTOOL_EXE} golang configure-ide vscode formatter --tool-path=${DEVP_FORMAT_EXE}

.PHONY: devp/format-go/vscode-disable
devp/format-go/vscode-disable: ${DEVP_DEVPTOOL_EXE} ${DEVP_FORMAT_EXE}
	@# Disable platform formatting in VS Code
	$(Q) ${DEVP_DEVPTOOL_EXE} golang configure-ide vscode formatter --tool-path=${DEVP_FORMAT_EXE} --enable=false

.PHONY: devp/format-go/goland-enable
devp/format-go/goland-enable: ${DEVP_DEVPTOOL_EXE} ${DEVP_FORMAT_EXE}
	@# Enable platform formatting in Goland
	$(Q) ${DEVP_DEVPTOOL_EXE} golang configure-ide goland formatter --tool-path=${DEVP_FORMAT_EXE}

.PHONY: devp/format-go/goland-disable
devp/format-go/goland-disable: ${DEVP_DEVPTOOL_EXE} ${DEVP_FORMAT_EXE}
	@# Disable platform formatting in Goland
	$(Q) ${DEVP_DEVPTOOL_EXE} golang configure-ide goland formatter --tool-path=${DEVP_FORMAT_EXE} --enable=false
